Source: node-evp-bytestokey
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Bastien Roucariès <rouca@debian.org>
Section: javascript
Priority: optional
Build-Depends:
 debhelper-compat (= 12)
 , dh-buildinfo
 , dpkg-dev (>= 1.17.14)
 , libnode-dev <!nocheck>
 , libssl-dev
 , node-md5.js <!nocheck>
 , node-safe-buffer <!nocheck>
 , node-bindings <!nocheck>
 , node-nan (>= 2.4.0) <!nocheck>
 , node-gyp <!nocheck>
 , node-tape <!nocheck>
 , node-tap (>=10) <!nocheck>
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/js-team/node-evp-bytestokey
Vcs-Git: https://salsa.debian.org/js-team/node-evp-bytestokey.git
Homepage: https://github.com/crypto-browserify/EVP_BytesToKey

Package: node-evp-bytestokey
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs (>= 4.7)
 , node-md5.js
 , node-safe-buffer
Description: secure key derivation algorithm in pure javascript
 This package derives a key and IV using well known
 cipher and message digest algorithm, thus creating secure IV and
 keys from salt. This package is a clean room implementation
 of openssl algorithm.
 .
 In cryptography, an initialization vector (IV) or starting variable
 is a fixed-size input to a cryptographic primitive that is typically
 required to be random or pseudorandom.
 .
 Node.js is an event-based server-side JavaScript engine.
